Update inbox item
curl --request PATCH \
--url https://prod.leadvector.app/v1/inbox/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"status": "Interested",
"tab": "primary",
"archived": true,
"read": true,
"reminderAt": "2026-06-20T10:00:00.000Z",
"scheduled": true
}
'import requests
url = "https://prod.leadvector.app/v1/inbox/{id}"
payload = {
"status": "Interested",
"tab": "primary",
"archived": True,
"read": True,
"reminderAt": "2026-06-20T10:00:00.000Z",
"scheduled": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: 'Interested',
tab: 'primary',
archived: true,
read: true,
reminderAt: '2026-06-20T10:00:00.000Z',
scheduled: true
})
};
fetch('https://prod.leadvector.app/v1/inbox/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/inbox/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'Interested',
'tab' => 'primary',
'archived' => true,
'read' => true,
'reminderAt' => '2026-06-20T10:00:00.000Z',
'scheduled' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/inbox/{id}"
payload := strings.NewReader("{\n \"status\": \"Interested\",\n \"tab\": \"primary\",\n \"archived\": true,\n \"read\": true,\n \"reminderAt\": \"2026-06-20T10:00:00.000Z\",\n \"scheduled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://prod.leadvector.app/v1/inbox/{id}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"Interested\",\n \"tab\": \"primary\",\n \"archived\": true,\n \"read\": true,\n \"reminderAt\": \"2026-06-20T10:00:00.000Z\",\n \"scheduled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/inbox/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"Interested\",\n \"tab\": \"primary\",\n \"archived\": true,\n \"read\": true,\n \"reminderAt\": \"2026-06-20T10:00:00.000Z\",\n \"scheduled\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Inbox item updated successfully",
"data": {
"message": "Unibox item updated successfully",
"data": {
"id": "1",
"mailboxId": 12,
"avatar": "P",
"fromEmail": "pbryant@dotcommerce.email",
"toEmail": "john@johntheplumber.com",
"subject": "Closing the loop on John The Plumber",
"preview": "Closing the loop on John The Plumber",
"body": "Hi John,\n\nFollowing up...",
"date": "Monday, Apr 27, 2026",
"dateShort": "Apr 27",
"year": "2026",
"time": "7:18 pm",
"status": "Lead",
"replyCount": 5,
"tab": "primary",
"mailbox": "inbox",
"read": false,
"archived": false,
"scheduled": false,
"aiDetected": true,
"reminderAt": "2026-06-20T10:00:00.000Z"
}
}
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Inbox
Update inbox item
Updates an inbox item belonging to the authenticated API user.
PATCH
/
v1
/
inbox
/
{id}
Update inbox item
curl --request PATCH \
--url https://prod.leadvector.app/v1/inbox/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"status": "Interested",
"tab": "primary",
"archived": true,
"read": true,
"reminderAt": "2026-06-20T10:00:00.000Z",
"scheduled": true
}
'import requests
url = "https://prod.leadvector.app/v1/inbox/{id}"
payload = {
"status": "Interested",
"tab": "primary",
"archived": True,
"read": True,
"reminderAt": "2026-06-20T10:00:00.000Z",
"scheduled": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: 'Interested',
tab: 'primary',
archived: true,
read: true,
reminderAt: '2026-06-20T10:00:00.000Z',
scheduled: true
})
};
fetch('https://prod.leadvector.app/v1/inbox/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/inbox/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'Interested',
'tab' => 'primary',
'archived' => true,
'read' => true,
'reminderAt' => '2026-06-20T10:00:00.000Z',
'scheduled' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/inbox/{id}"
payload := strings.NewReader("{\n \"status\": \"Interested\",\n \"tab\": \"primary\",\n \"archived\": true,\n \"read\": true,\n \"reminderAt\": \"2026-06-20T10:00:00.000Z\",\n \"scheduled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://prod.leadvector.app/v1/inbox/{id}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"Interested\",\n \"tab\": \"primary\",\n \"archived\": true,\n \"read\": true,\n \"reminderAt\": \"2026-06-20T10:00:00.000Z\",\n \"scheduled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/inbox/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"Interested\",\n \"tab\": \"primary\",\n \"archived\": true,\n \"read\": true,\n \"reminderAt\": \"2026-06-20T10:00:00.000Z\",\n \"scheduled\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Inbox item updated successfully",
"data": {
"message": "Unibox item updated successfully",
"data": {
"id": "1",
"mailboxId": 12,
"avatar": "P",
"fromEmail": "pbryant@dotcommerce.email",
"toEmail": "john@johntheplumber.com",
"subject": "Closing the loop on John The Plumber",
"preview": "Closing the loop on John The Plumber",
"body": "Hi John,\n\nFollowing up...",
"date": "Monday, Apr 27, 2026",
"dateShort": "Apr 27",
"year": "2026",
"time": "7:18 pm",
"status": "Lead",
"replyCount": 5,
"tab": "primary",
"mailbox": "inbox",
"read": false,
"archived": false,
"scheduled": false,
"aiDetected": true,
"reminderAt": "2026-06-20T10:00:00.000Z"
}
}
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Authorizations
Your API key, from the API keys page of the app.
Path Parameters
Inbox item identifier
Example:
"1"
Body
application/json
Available options:
Lead, Interested, Out of office, Not interested Example:
"Interested"
Available options:
primary, others Example:
"primary"
Example:
true
Example:
true
Example:
"2026-06-20T10:00:00.000Z"
Example:
true